Summary: The tevent library
Name: libtevent
Version: 0.14.1
Release: 3%{?dist}
License: LGPLv3+
URL: http://tevent.samba.org/
Source0: http://samba.org/ftp/tevent/tevent-%{version}.tar.gz

BuildRequires: gcc, make
BuildRequires: libxslt, docbook-style-xsl, doxygen
BuildRequires: python3-devel, libcmocka-devel >= 1.1.3, libtalloc-devel >= 2.3.0
BuildRequires: python3-talloc-devel >= 2.3.0
Provides: bundled(libreplace)

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba.
The low level tevent has support for many event types, including timers, signals,
and the classic file descriptor events.
Tevent also provide helpers to deal with asynchronous code providing the tevent_req
(tevent request) functions.

%package devel
Summary: Developer tools for the Tevent library
Requires: libtevent = %{version}-%{release}
Requires: libtalloc-devel >= 2.3.0

%description devel
This package provides header files and library for programs link against the Tevent library.

%package -n python3-tevent
Summary: Python 3 bindings for the Tevent library
Requires: libtevent = %{version}-%{release}

%description -n python3-tevent
This package provides Python3 bindings for libtevent.


%prep
%setup -n tevent-%{version}


%build
%configure --disable-rpath \
           --bundled-libraries=NONE \
           --builtin-libraries=replace

%make_build
doxygen doxy.config


%check
%make_build check


%install
%make_install

rm -f doc/man/man3/todo*
install -d -m0755 %{buildroot}%{_mandir}
cp -a doc/man/man3 %{buildroot}%{_mandir}


%files
%{_libdir}/libtevent.so.*

%files devel
%{_includedir}/tevent.h
%{_libdir}/libtevent.so
%{_libdir}/pkgconfig/tevent.pc
%{_mandir}/man3/tevent*.gz

%files -n python3-tevent
%{python3_sitearch}/tevent.py
%{python3_sitearch}/__pycache__/tevent.*
%{python3_sitearch}/_tevent.cpython*.so


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Shuo Wang <abushwang@tencent.com> - 0.14.1-1
- update to 0.14.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 29 2022 cunshunxia <cunshunxia@tencent.com> - 0.12.0-1
- initial build
